<?php
/**
 * Shop Options.
 *
 * @package Hait
 */

// Shop Section.
$wp_customize->add_section( 'section_shop',
	array(
		'title'      => esc_html__( 'Shop', 'hait' ),
		'priority'   => 100,
		'panel'      => 'theme_option_panel',
	)
);

// Setting shop_content_width.
$wp_customize->add_setting( 'theme_options[shop_content_width]',
	array(
		'default'           => $default['shop_content_width'],
		'sanitize_callback' => 'hait_sanitize_positive_integer',
	)
);
$wp_customize->add_control( 'theme_options[shop_content_width]',
	array(
		'label'    => esc_html__( 'Content Width', 'hait' ),
		'section'  => 'section_shop',
		'type'     => 'number',
		'priority' => 100,
		'input_attrs' => array( 'min' => 700, 'max' => 1280, 'style' => 'width: 75px;' ),
	)
);

// Setting product_per_page.
$wp_customize->add_setting( 'theme_options[product_per_page]',
	array(
		'default'           => $default['product_per_page'],
		'sanitize_callback' => 'hait_sanitize_positive_integer',
	)
);
$wp_customize->add_control( 'theme_options[product_per_page]',
	array(
		'label'    		=> esc_html__( 'Products Per Page', 'hait' ),
		'description'   => esc_html__( 'Total number of products shown per page', 'hait' ),
		'section'  		=> 'section_shop',
		'type'     		=> 'number',
		'priority' 		=> 100,
		'input_attrs'   => array( 'min' => 4, 'max' => 20 ),
	)
);

// Setting product_number_per_row.
$wp_customize->add_setting( 'theme_options[product_number]',
	array(
		'default'           => $default['product_number'],
		'sanitize_callback' => 'hait_sanitize_positive_integer',
	)
);
$wp_customize->add_control( 'theme_options[product_number]',
	array(
		'label'    		=> esc_html__( 'Products Per Row', 'hait' ),
		'description'   => esc_html__( 'Number of products shown per row', 'hait' ),
		'section'  		=> 'section_shop',
		'type'     		=> 'select',
		'priority' 		=> 100,
		'choices'  		=> array(
							'2'  	=> esc_html__( '2', 'hait' ),
							'3' 	=> esc_html__( '3', 'hait' ),
							'4'    	=> esc_html__( '4', 'hait' ),
						),
	)
);

// Setting hide_product_breadcrumb.
$wp_customize->add_setting( 'theme_options[hide_product_breadcrumb]',
	array(
		'default'           => $default['hide_product_breadcrumb'],
		'sanitize_callback' => 'hait_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[hide_product_breadcrumb]',
	array(
		'label'    			=> esc_html__( 'Disable Product Breadcrumb', 'hait' ),
		'section'  			=> 'section_shop',
		'type'     			=> 'checkbox',
		'priority' 			=> 100,
	)
);

// Setting hide_product_sorting.
$wp_customize->add_setting( 'theme_options[hide_product_sorting]',
	array(
		'default'           => $default['hide_product_sorting'],
		'sanitize_callback' => 'hait_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[hide_product_sorting]',
	array(
		'label'    			=> esc_html__( 'Disable Product Sorting Option', 'hait' ),
		'section'  			=> 'section_shop',
		'type'     			=> 'checkbox',
		'priority' 			=> 100,
	)
);
