<?php
/**
 * Template part for displaying home content
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Hait
 */

$banner_image_left = hait_get_option( 'banner_image_left' );
$banner_image_right = hait_get_option( 'banner_image_right' );
$banner_heading = hait_get_option( 'banner_heading' );
$banner_button = hait_get_option( 'banner_button' );
$banner_link = hait_get_option( 'banner_link' );

if( !empty( $banner_link ) ) {
	$button_link = esc_url( $banner_link );
}else{
	$button_link = '#';
}

if( !empty( $banner_image_left ) && empty( $banner_image_right ) ) {
	$banner_class = 'banner-full';
}else{
	$banner_class = 'banner-half';
}
?>

<div class="featured-banner">
	<div class="banner banner-media">
		<?php if ( !empty( $banner_image_left ) ): ?>
			<div class="banner-item banner-half-left <?php echo esc_attr( $banner_class ); ?>" style="background-image: url( <?php echo esc_url( $banner_image_left ); ?> );"></div>
		<?php endif; ?>

		<?php if ( !empty( $banner_image_right ) ): ?>
			<div class="banner-item banner-half-right <?php echo esc_attr( $banner_class ); ?>" style="background-image: url( <?php echo esc_url( $banner_image_right ); ?> );"></div>
		<?php endif; ?>
	</div>

	<?php if ( !empty( $banner_heading ) || !empty( $banner_button ) ): ?>
		<div class="banner-content">
			<div class="banner-content-inner">
				<?php if( !empty( $banner_heading ) ): ?>
					<h2 class="banner-heading"><?php echo esc_html( $banner_heading ); ?></h2>
				<?php endif; ?>

				<?php if( !empty( $banner_button ) ): ?>
					<a href="<?php echo $button_link; ?>" class="button button-white"><?php echo esc_html( $banner_button ); ?></a>
				<?php endif; ?>

			</div>
		</div>
	<?php endif; ?>
</div>
